imagegrabwindow
imageistruecolor
GD Functions
PHP Manual

# imageinterlace

(PHP 4, PHP 5)

imageinterlace — Enable or disable interlace

### Description

int imageinterlace ( resource `$image` [, int `$interlace` ] )

imageinterlace() turns the interlace bit on or off.

If the interlace bit is set and the image is used as a JPEG image, the image is created as a progressive JPEG.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`interlace`

  If non-zero, the image will be interlaced, else the interlace bit is turned off.

### Return Values

Returns 1 if the interlace bit is set for the image, 0 otherwise.

imagegrabwindow
imageistruecolor
GD Functions
PHP Manual